#ifdef GL_ES
precision mediump float;
#define LOWP		lowp
#define MEDIUMP		mediump
#define HIGHP		highp
#else
#define LOWP
#define MEDIUMP
#define HIGHP
#endif

attribute vec4 a_position;
attribute vec4 a_color;
attribute vec2 a_texCoord;

uniform vec4 u_shift;
uniform float u_scale;

varying LOWP vec4 v_fragmentColor;
varying HIGHP vec2 v_texCoord0;
varying HIGHP vec2 v_texCoord1;


void main() {
	gl_Position = CC_MVPMatrix * a_position;
	v_fragmentColor = a_color;
	v_texCoord0 = (a_texCoord * u_scale) + u_shift.xy;
	v_texCoord1 = (a_texCoord * u_scale) + u_shift.zw;
}